let util = require('../../../utils/util.js');
var that
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isfirst: true
  },
  add() {
    wx.navigateTo({
      url: '/pages/stock/addpaytype/addpaytype',
    })
  },
  getTypes() {
    util.query('expendtype/wxapi/listall', {}, function(res) {
      if (res.code === 10000) {

        that.setData({
          types: res.data
        })
      }
    })
  },
  del(e) {
    util.query('expendtype/wxapi/delete?id=' + e.currentTarget.dataset.id, {}, function(res) {
      if (res.code === 10000) {
        var da = that.data.types
        da[e.currentTarget.dataset.index].isDelete = 1
        that.setData({
          types: da
        })
      } else {}
    }, 'POST')
  },
  undel(e) {
    util.query('expendtype/wxapi/undelete?id=' + e.currentTarget.dataset.id, {}, function(res) {
      if (res.code === 10000) {
        var da = that.data.types
        da[e.currentTarget.dataset.index].isDelete = 0
        that.setData({
          types: da
        })
      } else {}
    }, 'POST')
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    that = this
    this.getTypes()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    if (!this.data.isfirst) {
      that.getTypes()
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {
    this.setData({
      isfirst: false
    })
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})